Home | All Classes | Grouped Classes | Index | Search

# Class CL_InputEvent

Structure descripting an input device event. More...

Derived from: none
Derived by: none
Group: Display (Input)

#include <ClanLib/display.h>

Construction:

CL_InputEvent | Constructs a 'NoKey' key.

Attributes:

id | Key identifier.
str | Character sequence generated by event.
type | Event type.
device | Device that event originates from.
mouse_pos | Mouse position at event time.
axis_pos | Axis position.
repeat_count | The repeat count for this event.

Detailed description:

!group=Display/Input! !header=display.h!
Questions or comments, write to the ClanLib mailing list.